Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.script
Class AnalystClassItem

    java.lang.Object
      org.encog.app.analyst.script.AnalystClassItem

All Implemented Interfaces:
  Comparable<AnalystClassItem>

    public class AnalystClassItem

extends Object
implements Comparable<AnalystClassItem>

Holds a class item for the script. Some columns in a CSV are classes. This object holds the possible class types.

Constructor Summary
`AnalystClassItem(String theCode, String theName, int theCount)` Construct a class item.

Method Summary
`int` | `compareTo(AnalystClassItem o)`
`String` | `getCode()`
`int` | `getCount()`
`String` | `getName()`
`void` | `increaseCount()` Increase the count.
`void` | `setCode(String theCode)`
`void` | `setName(String theName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalystClassItem

    public AnalystClassItem(String theCode,
                            String theName,
                            int theCount)

  Construct a class item.

  Parameters:
    `theCode` - The code, this is how it is in the CSV.
    `theName` - The name, a more meaningful name than code. Can be the same as code, if desired.
    `theCount` - The count.

Method Detail

### compareTo

    public final int compareTo(AnalystClassItem o)

  Specified by:
    `compareTo` in interface `Comparable<AnalystClassItem>`

### getCode

    public final String getCode()

  Returns:
    the code

### getCount

    public final int getCount()

  Returns:
    The count.

### getName

    public final String getName()

  Returns:
    the name

### increaseCount

    public final void increaseCount()

  Increase the count.

### setCode

    public final void setCode(String theCode)

  Parameters:
    `theCode` - the code to set

### setName

    public final void setName(String theName)

  Parameters:
    `theName` - the name to set

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.